public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: x11-libs/qt-gui/
Date: Sun, 10 Jun 2012 21:29:26 +0000 (UTC)	[thread overview]
Message-ID: <1339362039.aeeb11c5b9c414f023ca61b370babc7eb238c1b0.pesa@gentoo> (raw)

commit:     aeeb11c5b9c414f023ca61b370babc7eb238c1b0
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Sun Jun 10 21:00:39 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Jun 10 21:00:39 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=aeeb11c5

[x11-libs/qt-gui] QtGui live ebuild for Qt5.

Includes also QtPlatformSupport and the xcb platform plugin.
It does not include the QtWidgets module.

(Portage version: 2.2.0_alpha110/git/Linux x86_64, unsigned Manifest commit)

---
 x11-libs/qt-gui/metadata.xml         |    3 +-
 x11-libs/qt-gui/qt-gui-5.9999.ebuild |   68 ++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+), 1 deletions(-)

diff --git a/x11-libs/qt-gui/metadata.xml b/x11-libs/qt-gui/metadata.xml
index c342d36..0216004 100644
--- a/x11-libs/qt-gui/metadata.xml
+++ b/x11-libs/qt-gui/metadata.xml
@@ -3,6 +3,8 @@
 <pkgmetadata>
 	<herd>qt</herd>
 	<use>
+		<flag name='c++0x'>Build Qt using the C++11 standard</flag>
+		<flag name='c++11'>Build Qt using the C++11 standard</flag>
 		<flag name='egl'>Use EGL instead of default GLX to manage OpenGL
 		      contexts on the desktop</flag>
 		<flag name='exceptions'>Add support for exceptions - like catching them
@@ -17,7 +19,6 @@
 			all drawing operations into a trace buffer. Later it can be replayed
 			with the qttracereplay utility
 		</flag>
-		<flag name='c++0x'>Build Qt using the C++11 standard</flag>
 		<flag name='qpa'>Build a window system agnostic implementation of Qt</flag>
 	</use>
 </pkgmetadata>

diff --git a/x11-libs/qt-gui/qt-gui-5.9999.ebuild b/x11-libs/qt-gui/qt-gui-5.9999.ebuild
new file mode 100644
index 0000000..9c8adbd
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-5.9999.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit qt5-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+
+if [[ ${QT5_BUILD_TYPE} == live ]]; then
+	KEYWORDS=""
+else
+	KEYWORDS="~amd64"
+fi
+
+# TODO: directfb, eglfs, evdev, ibus
+
+IUSE="egl +fontconfig gif +glib jpeg opengl +png udev +xcb"
+
+DEPEND="
+	media-libs/freetype:2
+	sys-libs/zlib
+	~x11-libs/qt-core-${PV}[debug=,glib=]
+	egl? ( media-libs/mesa[egl] )
+	fontconfig? ( media-libs/fontconfig )
+	gif? ( media-libs/giflib )
+	glib? ( dev-libs/glib:2 )
+	jpeg? ( virtual/jpeg )
+	opengl? ( virtual/opengl )
+	png? ( media-libs/libpng:0 )
+	udev? ( sys-fs/udev )
+	xcb? (
+		x11-libs/libX11
+		x11-libs/libXrender
+		x11-libs/libxcb
+		x11-libs/xcb-util-image
+		x11-libs/xcb-util-keysyms
+		x11-libs/xcb-util-renderutil
+		x11-libs/xcb-util-wm
+	)
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+	src/gui
+	src/platformsupport
+	src/plugins/imageformats
+	src/plugins/platforms
+)
+
+src_configure() {
+	local myconf=(
+		-accessibility
+		$(qt_use egl)
+		$(qt_use fontconfig)
+		$(use gif || echo -no-gif)
+		$(qt_use glib)
+		$(qt_use jpeg libjpeg system)
+		$(qt_use opengl)
+		$(qt_use png libpng system)
+		$(use udev || echo -no-libudev)
+		$(qt_use xcb)
+		-no-cups -no-dbus
+		-no-eglfs -no-directfb
+	)
+	qt5-build_src_configure
+}



             reply	other threads:[~2012-06-10 21:29 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-06-10 21:29 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-02-22  8:40 [gentoo-commits] proj/qt:master commit in: x11-libs/qt-gui/ Davide Pesavento
2013-02-13  8:38 Davide Pesavento
2013-01-29 18:04 Michael Palimaka
2013-01-26 11:24 Davide Pesavento
2013-01-25  9:07 Davide Pesavento
2013-01-02  1:15 Davide Pesavento
2012-12-23  3:35 Davide Pesavento
2012-12-10  8:35 Davide Pesavento
2012-11-14 10:28 Davide Pesavento
2012-09-19 23:23 Davide Pesavento
2012-09-03  8:11 Davide Pesavento
2012-08-28  3:06 Davide Pesavento
2012-08-12  9:27 Davide Pesavento
2012-07-23 18:10 Davide Pesavento
2012-07-22  2:20 Davide Pesavento
2012-07-13 11:19 Ben de Groot
2012-07-05 15:58 Davide Pesavento
2012-07-02 17:26 Davide Pesavento
2012-07-02 16:00 Davide Pesavento
2012-05-06 15:09 Davide Pesavento
2012-03-17 15:57 Michael Palimaka
2012-03-11 12:59 Markos Chandras
2012-03-03  9:33 Markos Chandras
2012-02-12  9:17 Markos Chandras

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1339362039.aeeb11c5b9c414f023ca61b370babc7eb238c1b0.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox